/*
X-Small 	        None 	<576px
Small 	            sm 	    ≥576px
Medium 	            md 	    ≥768px
Large 	            lg 	    ≥992px
Extra large 	    xl 	    ≥1200px
Extra extra large 	xxl     ≥1400px
*/

@media only screen and (min-width: 1432px) {
    #banner-container .content {
        /* max-width: 1336px;
        margin-left: auto;
        margin-right: auto; */
    /* margin-left: auto;category
        margin-right: auto; */
    }
    /* #banner-container.athelete {
        max-width: 1336px;
        width: 1336px;
        margin-left: auto;
        margin-right: auto;
    } */
}

@media only screen and (max-width: 992px) {
    .page-layout {
        margin-left: 16px;
        margin-right: 16px;
    }
    .page-layout main {
        margin-left: auto;
        margin-right: auto;
    }
    .page-layout.Edition main,
    .page-layout.StartList main {
        width: auto;
        max-width: auto;
        margin-left: auto;
        margin-right: auto;
        /* overflow: auto; */
    }
    #brand {
        padding-left: 0px;
        padding-right: 0px;
    }
    #breadcrumb {
        margin-left: 0px;
        margin-right: 0px;


    }
    #brand .section-1.main-nav .hamburger-images {
        display: block;
    }

    #brand .section-1.main-nav li a {
        border: none;
        color: white;

      }

    #brand .section-3.side-nav {
        display: flex;
        align-items:center ;
    }


    #brand .section-3.side-nav .trigger-sm {
        display: block;
        text-align: right;
    }
    .help-tooltip-box {
    display: none;
    }




    #brand .section-3.side-nav .trigger-sm img {
        cursor: pointer;
    }
    #brand .section-1.main-nav ul {
        display: none;
    }
    #brand .section-1.main-nav ul.menu-item {
        display: flex;
        flex-direction: column;
        padding: 0px;
        margin: 0px;
        position: fixed;
        z-index: 1000;
        top: 0;
        bottom: 0px;
        right: -100%;
        background-color:#1d2223;
        border-left: 1px solid #CCCCCC;
        transition: right 0.5s ease;
        width: 100%;
        -webkit-box-shadow: -2px -1px 5px 0px rgba(0, 0, 0, 0.15);
        -moz-box-shadow: -2px -1px 5px 0px rgba(0, 0, 0, 0.15);
        box-shadow: -2px -1px 5px 0px rgba(0, 0, 0, 0.15);
    }
    #brand .section-1.main-nav ul.menu-item a:hover {
        color: #990000 ;
    }

    #brand .section-1.main-nav ul.show-menu {
        right: 0;
    }
    #brand .section-1.main-nav ul.show-menu .hamburger-images {

        display: flex;
        justify-content: space-between;
        background-color: #4a4f52;
        padding: 24px;
        cursor: pointer;
        align-items: center;

    }
    #brand .section-1.main-nav ul.show-menu li {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 24px;
        border-bottom: 2px solid #33393a;
    }
    #brand .section-1.main-nav ul.show-menu li a:hover {
      color: #990000 ;
    }
    #banner-container {
        margin-left: unset;
        margin-right: unset;
    }
    #banner-container .content {
        left: 10px;
        right: 10px;
        margin-left: auto;
        margin-right: auto;
    }
    #banner-container.athelete .content
    {
        padding-left: unset;
    }
    #banner-container .content h1,
    #banner-container.athelete .content h1 {
        font-size: 30px;
        line-height: 30px;
    }
    #banner-container .content ul {
        margin-top: 10px;
    }
    #banner-container .content ul li {
        font-size: 14px;
        line-height: 16px;
    }
    #banner-container.athelete .content {
        margin: 8px;
        margin-top: 45px;
        z-index: 1;
    }
    .page-layout.Athelete .ranks-container {
        margin-left: auto;
        margin-right: auto;
        width: unset;
    }
    #participant-details .info .content .section-2 .athlete-info .athlete-general-info {
        flex: 1;
    }
    #participant-details .info .content .section-2 .athlete-info .event-info {
        flex: 1;
    }
    .footer-section1 .social-section {
        margin-left: 16px;
        margin-right: 16px;
    }
    .footer-section2 .footer-content {
        margin-left: 16px;
        margin-right: 16px;
    }
    .footer-section3 .copyright {
        margin-left: 16px;
        margin-right: 16px;
    }
    #edition-categories {
        /* margin-top: 30px; */
    }
    #banner-container .content ul li img {
        width: 10px;
    }
    /* .rankings .rankings-table [data-show="1"],
    .rankings .rankings-table [data-show="2"] {
        display: none;
    } */
    .filters .filter select {
        font-weight: 500;
        font-size: 14px;
    }
    .contest-subnav {
        display: block;
    }
    .basic-ring-style {}
    .basic-bar-style {}

    .chart-containers-row[data-length="2"] {
        width: auto;
        margin-left: auto;
      }
/* see again */
      .search-dropdown-area {
        flex-direction: column;
        top: 28px;
        /* z-index: auto; */


    }
    #content-nav-container{
        /* z-index: auto; */
        margin-left: unset;
        margin-right: unset;
    }
}

@media only screen and (max-width: 768px) {
    h1 {
        font-size: 20px;
    }
    h2 {
        font-size: 14px;
    }
    h2.section-heading {
        font-size: 20px;
    }
    .page-layout {
        margin-left: 8px;
        margin-right: 8px;
    }
    #brand {
        padding-left: 0px;
        padding-right: 0px;
    }
    #breadcrumb {
        margin-left: 0px;
        margin-right: 0px;
    }
    /* #brand .section-1 {
        width: 200px;
    } */
    /* #brand .section-1 img {
        width: 100%;
    } */

    #brand .section-3.side-nav a.ds-live-link {
        display: none;
    }


    #brand .section-3.side-nav .switch {
        display: none;
    }

    #brand .section-3.side-nav {
        gap: unset;
    }


    #brand .section-1.main-nav .hamburger-images {
        display: block;
    }
    #brand .section-1.main-nav li {
        text-transform: uppercase;
        font-family: 'TradeGothic LT CondEighteen';
       font-weight: 700;
       font-size: 14px;
        line-height: 1.2;
        letter-spacing: 0.0125em;
    }

    #brand .section-1.main-nav li a {
        color: white;
    }

    #banner-container {
        margin-left: -8px;
        margin-right: -8px;
    }

    #banner-container .banner{
        min-height: 138px;
        max-height: 300px;
        height: 100%;
    }

    #banner-container img.primary {
        height: 100%;
        width:100%;
        object-fit: cover;
        object-position: center;
        position:absolute;
    }

    #banner-container .content {
        position: relative;
        margin-top: 32px;
        margin-bottom: 32px;
        top:unset;
        transform: unset;
      }

    #banner-container .content h1,
    #banner-container.athelete .content h1 {
        font-size: 24px;
        line-height: 25px;
        text-align: unset;
    }
    #banner-container .content ul {
        padding: 0px;
        display: grid;
        grid-auto-columns: 50%;
        gap: 10px;
        margin-top: 10px;
        justify-content: initial;
    }

    #banner-container .content ul li {
        font-size: 14px;
        line-height: 15px;
        padding: 8px 4px 8px 4px;
        margin-left: 0;


    }
    #banner-container .content ul li:nth-child(3) {
        grid-column: 1/3;
        grid-column: 1;
    }
    #banner-container .content .cta {
        width: 100px;
        height: 20px;
        font-size: 12px;
        line-height: 12px;
        margin-top: 10px;
    }

    #banner-container.athelete {
        /* margin-right: auto;
          margin-left: auto; */
          margin-left: -8px;
          margin-right: -8px;
    }

    #banner-container.athelete .banner {
          min-height: unset;
          max-height: unset;
    }

    #banner-container.athelete .content .status,
    #banner-container.athelete .content h1 {
        margin-bottom: 10px;
    }
    #banner-container.athelete .content .desc {
        font-size: 14px;
        line-height: 16px;
    }
    #banner-container.athelete .content .sub-title {
        display: none;
    }

    #banner-container.athelete .content .left {
        align-items: center;
        flex-direction: column;
        padding-left: unset;
      }

      #banner-container.athelete .content .horizontal-line {
        width: unset;
        margin-left: unset;
      }
      #banner-container.athelete .content .results-lists-container {
        flex-direction: column;
        margin: 0px;
        margin-top: 20px;
    }
    #banner-container.athelete .content .results-lists-container .results-lists {
        /* flex-wrap: wrap;
        display: unset; */
        display: grid;
        grid-template-columns: repeat(2,1fr);
    }
    #banner-container.athelete .content .results-lists-container .results-lists .results-lists-item {
        flex: 1;
        padding-left: 10%;
        padding-right: 10%;
        justify-content: center;
    }
    #banner-container.athelete .content .results-lists-container .results-lists .results-lists-item h2 {
        font-weight: 500;
        text-align: center;
    }
    #banner-container.athelete .content .results-lists-container .results-lists-separator {
        display: none;
    }


    #banner-container.athelete .content .left .left-content {
        padding-left: unset;
        text-align: center;
      }


    #banner-container.athelete .share-container {
        display: block;
        position: absolute;
        top: 10px;
        cursor: pointer;
        z-index: 2;
        right: 10px;
    }
    #banner-container.athelete .content .participant-details-btn {
        display: none;
    }

    #banner-container.athelete .share-container img {
        width:23px;
        height: 23px;
    }
    /* see again */
    /* #content-nav-container{
        z-index: auto;
    } */


    .compare-container-show-btn {
        height: auto;
        background-color: #231F20;
        display: flex;
        padding: 16px;
        gap: 10px;
        border-radius: 8px;
        position: fixed;
        bottom: 10px;
        left: 16px;
        right: 16px;
        z-index: 100;
      }

      .compare-container-show-btn .no-participant {
        font-size: 14px; /* Slightly smaller font */
        font-weight: 400;
        color: #FFFFFF;
        margin-bottom: 8px; /* Add space below */
      }

      .compare-container-show-btn .clear-compare-group {
        display: flex;
        /* width: 100%; */
        align-items: center;
        justify-content: flex-end;
        padding-right: unset;
        gap: 20px;
      }

      .compare-container-show-btn .clear-compare-group .clear-text {
        color: #CBCACB;
        font-size: 14px;
        text-decoration: underline;
        cursor: pointer;
        font-weight: 400;
      }

      .compare-container-show-btn .compare-btn {
        background-color: #990000;
        color: #FFFFFF;
        font-size: 14px;
        font-weight: 500;
        padding: 10px 20px;
        border-radius: 4px;
        cursor: pointer;
      }

    .page-layout.Athelete .ranks-container {
        margin-left: -8px;
        margin-right: -8px;
        width: unset;
    }


    /* error-page */

    .error-404-container .error-title {
        font-size: 30px;
    }

    .error-404-container .error-message {
        font-size: 14px;
    }

    #content-nav-container {
        margin-left: 0;
        margin-right: 0;
        background-color: #fff;
    }

    #content-nav {
        font-size: 14px;
        background-color: transparent;
        /* padding-left: 6px;
        padding-right: 6px; */
        margin-top: 8px;
        display: flex;
        flex-wrap: wrap;
        /* grid-template-columns: repeat(3, 1fr); /* 3 columns per row */
        gap: 4px;
    }
    #content-nav li {
        padding-top: 16px;
        padding-bottom: 16px;
        /* flex: 0; */
        white-space: nowrap;
        background-color: #F5F5F5;
        padding-left: 20px;
        padding-right: 20px;
    }

    #content-nav li.highlight a {
        padding-bottom: 5px;
    }
    #content-nav li.separator-sm {
        position: relative;
        display: list-item;
    }
    #content-nav li.separator-sm::before {
        position: absolute;
        content: "|";
        color: #666666;
    }
    #content-nav li a {
        color: #2E2E2E;
    }
    #content-nav li a:hover {
        color: #990000 ;
    }





    .title-bar {
        display: none;
    }

    .search-dropdown-area {
        flex-direction: column;
        top: 28px;


    }
    .search-dropdown-area .placeholder {
        display: none;
      }
    .search-dropdown-area .search-div {
        display: flex;
    }
    .search-dropdown-area .search-div input {
        flex: 1;
    }

    .search-div .input-field {
        /* width: 280px;
        width: 280px; */
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: 16px;
    }

    .page-container .page-header .left {
        width: unset;
        flex: unset;
      }

    .page-container.with-filters .page-header > .left
    {
    }

    .page-container.with-filters .page-content > .left {
        width: unset;
        margin-right: unset;
        flex: 1;
        transition: ease-in;
    }

    .page-container.with-filters .page-content > .right {
        width: 0px;
        overflow: hidden;
        flex: unset;
    }

    .page-container .page-header .left .filter-text-icon {
        padding-top: 10px;
    }

    .page-container .page-header .right .search-pagination-content.with-pagination .search-div {
        flex: unset;
        width: 40px;
        transition: all 0.5s;
    }

    .page-container .page-header .right .search-pagination-content.with-pagination .search-div .search-icon {
        cursor: unset;
    }

    .page-container .page-header .right .search-pagination-content.with-pagination .custom-dropdown-container .dropdown-button {
        overflow: hidden;
        width: 40px;
        padding-left: 40px;
        padding-right: 0px;
        transition: all 0.5s;
    }


    .page-container .page-header .right .search-pagination-content.with-pagination.tool-SEARCH .search-div {
        flex: 1;
        width: unset;
        transition: all 0.5s;
    }
    .page-container .page-header .right .search-pagination-content.with-pagination.tool-PAGINATION .custom-dropdown-container .dropdown-button {
        width: unset;
        padding-left: 32px;
        padding-right: 20px;
        transition: all 0.5s;
    }

    .page-container .page-header .right .search-pagination-content.with-pagination.tool-PAGINATION .clear-button {
        display: none;

    }




    .rankings .contest-title-bar {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        /* display: inline; */
    }
    .rankings .contest-title-bar .custom-dropdown-container {
        align-self: flex-end;
        margin-left: 10px;
    }
    .rankings .contest-title-bar .custom-dropdown-container .dropdown-button {
        white-space: nowrap;
    }
    .custom-dropdown-container .dropdown-menu-container
    {
        margin-top: 5px;
    }

    .modal-content {
        padding: 10px;
        border-radius: unset;
    }

    .scrolltable {
        /* padding-top: 22px; */
    }

    .modal-container .modal-content .modal-title-section {
        box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
        padding: 18px;
        margin-bottom: 20px;
        margin-left: -10px;
        margin-right: -10px;
        margin-top: -10px;

    }
    .footer-section1 .social-section {
        margin-left: 8px;
        margin-right: 8px;
    }
    .footer-section2 .footer-content {
        margin-left: 8px;
        margin-right: 8px;
        flex-wrap: wrap;
    }
    .footer-section2 .footer-content ul {
        flex-basis: 50%;
    }
    .footer-section2 .footer-content ul.break {
        flex-basis: 100%;
        height: 0;
        display: block;
        margin-bottom: 20px;
    }
    .footer-section3 .copyright {
        margin-left: 8px;
        margin-right: 8px;
    }
    .page-layout.Athelete .ranks-container .inner {
        /* flex-wrap: wrap; */
        padding-bottom: 0px;
        display: grid;
        grid-template-columns: repeat(2,1fr);
    }
    .page-layout.Athelete .ranks-container .rank {
        flex: 0 0 33%;
        padding-bottom: 20px;
    }
    .page-layout.Athelete .ranks-container .rank .section-1 .value {
        font-weight: 500;
        font-size: 16px;
    }
    .page-layout.Athelete .ranks-container .rank .section-1 .range {
        font-weight: 400;
        font-size: 12px;
        line-height: 14px;
        padding-bottom: 2px;
    }
    .page-layout.Athelete .ranks-container .rank .section-2 {
        font-weight: 500;
        font-size: 12px;
    }


    #participant-details  .athlete-info {
        flex-direction: column;
    }

    #participant-details .athlete-info .separator {
        display: none;
    }
    #participant-details .athlete-info .detail {
        padding-right: 8px;
        padding-left: 8px;
    }

    #participant-details .athlete-info .image-group {
        display: none;
    }
    #participant-details .athlete-info .athlete-general-info {
        margin-right: 0px;
        margin-bottom: 20px;
        margin-top: 0px;
    }
    #participant-details .athlete-info .event-info .detail {
        flex-wrap: nowrap;
        padding-right: 8px;
        padding-left: 8px;
        flex-direction: column;
    }
    #participant-details .athlete-info .athlete-general-info .detail .detail-value {
        margin-left: 0px;
        flex: 0 1 50%;
        text-align: right;
        padding-top: 10px;
    }
    #participant-details .athlete-info .event-info .detail .detail-value {
        margin-left: 0px;
        padding-top: 10px;
        padding-bottom: 6px;
    }

    #participant-details .athlete-info .detail .detail-value p,
    #participant-details .athlete-info .detail .detail-value h2 {
        flex: 1;
    }
    #participant-details .athlete-info .links-info {
        margin-left: 0px;
        margin-top: 0px;
        margin-bottom: 0px;
    }
    #participant-details .athlete-ranking-position {
        padding-left: 8px;
        padding-right: 8px;
    }
    #participant-details .athlete-speed .athlete-speed-detail {
        display: block;
    }
    #participant-details .bird-eye-chart .chart-content {
        padding: 0px;
        padding-left: 0%;
        padding-right: 0%;
    }

    #participant-details .finish-details .finish-details-data {
        margin-top: unset;
        grid-template-columns: 1fr 1fr;
        gap: 30px;
        margin-bottom: 50px;
    }

    #participant-details .finish-details .finish-details-data .section-1 {
        grid-column: 1;
        grid-row: 2;
    }

    #participant-details .finish-details .finish-details-data .section-2 {
        grid-column: 1 / span 2;
        grid-row: 1;
    }

    #participant-details .finish-details .finish-details-data .section-3 {
        grid-column: 2;
        grid-row: 2;
    }
    #participant-details .linear-finish-chart .finish-graph-images > div .finish-text-arrow .adjust-finish-position-text {
        right: -18px;
    }

    .athlete-position .athlete-position-detail {
        flex-direction: column;
    }

    #edition-categories .contests-list-name
    {
        border: unset;
    }

    #edition-categories .contest-item {
        border: 1px solid #D7D7E2;
        border-bottom: 0px solid #D7D7E2;
        display: grid;
        grid-template-columns: 1fr 3fr;
        grid-template-rows: repeat(3, auto);
        grid-auto-rows: auto; /* Automatic row height based on content */
        grid-auto-flow: dense; /* Fill grid cells by row, then by column */
        margin-bottom: 10px;
    }

    #edition-categories .contest-item .header,
    #edition-categories .contest-item .header.md,
    #edition-categories .contest-item .row {
        display: contents;
    }

    #edition-categories .contest-item .row {
        font-weight: 400;
        font-size: 12px;
    }
    #edition-categories .contest-item .header {
        font-size: 12px;
        line-height: 14px;
        font-weight: 400;
    }


    #edition-categories .contest-item .header .col,
    #edition-categories .contest-item .row .col {
        border-left: 1px solid #D7D7E2;
        border-bottom: 1px solid #D7D7E2;
        padding: 8px;
        text-align: left;
        width: unset;
    }

    #edition-categories .contest-item .header .col {
        grid-column: 1;
        background-color: #EEEEEE;
    }

    #edition-categories .contest-item .row .col {
        grid-column: 2;
    }


    #edition-categories .contest-title img {
        padding-top: unset;
    }

    #edition-categories .row .col.main .podium {
        flex-direction: column;
    }
    #edition-categories .row .col.main .podium>span {
        display: block;
    }
    .rankings .rankings-table {
        font-size: 12px;
    }
    .rankings .rankings-table .rankings-item .toggle
    {
        display: block;
    }
    /* .rankings .rankings-table [data-show="1"],
    .rankings .rankings-table [data-show="2"] {
        display: none;
    } */

    .filters .filter select {
        font-weight: 500;
        font-size: 14px;
    }
    .contest-subnav {
        display: block;
    }
    #page-insights #insights-section1 .chart-container {
        padding-left: 30px;
        padding-right: 30px;
    }
    .basic-ring-style {}
    .basic-bar-style {
        width: 350px;
        height: 350px;
    }
    .chart .chart-data {
        justify-content: space-between;
    }

    .chart-list .header-content {
        display: block;
        padding-top: 10px;
    }
    .chart-list .header-content .values {
        display: flex;
        justify-content: space-between;
    }
    /** Charts */
    .chart-containers-row {
        display: grid;
        grid-template-rows: auto;
        grid-template-columns: auto;
    }
    .chart-containers-row h2.chart-title {
        grid-row: auto;
    }
    .chart-containers-row .chart-container {
        grid-row: auto;
        display: flex;
        align-items: flex-end;
    }
    .chart-containers-row .legend-container {
        grid-row: auto;
    }

    .chart-responsive-rotate {
        height: 200px;
    }

    .chart-container .grouped-bar{
        box-shadow: none;
        padding: 0px;
    }

    .chart-container .chart-container-grouped-bar-chart{
        padding-bottom: 30px;
    }

    .page-layout.Category .rankings .rankings-table [data-col="name"],
    .page-layout.Leaderboard .rankings .rankings-table [data-col="name"] {
        flex: 2.5;
    }
    .page-layout.Category .rankings .rankings-table [data-col="time.main"],
    .page-layout.Search .rankings .rankings-table [data-col="time.main"],
    .page-layout.Leaderboard .rankings .rankings-table [data-col="time.main"] {
        flex: 1.8;
    }
    .page-layout.Category .rankings .rankings-table [data-col="statusprogress"],
    .page-layout.Search .rankings .rankings-table [data-col="statusprogress"],
    .page-layout.Leaderboard .rankings .rankings-table [data-col="statusprogress"] {
        text-align: right;
        padding-right: 5px;
    }


}